Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.ServantLocatorPackage
Class CookieHolder

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantLocatorPackage.CookieHolder

All Implemented Interfaces:
  Streamable

public final class CookieHolder
extends Object
implements Streamable

The native type PortableServer::ServantLocator::Cookie is mapped to java.lang.Object. A CookieHolder class is provided for passing the Cookie type as an out parameter. The CookieHolder class follows exactly the same pattern as the other holder classes for basic types.

Field Summary
`Object` | `value`

Constructor Summary
`CookieHolder()`
`CookieHolder(Object initial)`

Method Summary
`void` | `_read(InputStream is)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` | `_write(OutputStream os)` Marshals to `ostream` the value in the `value` field of the Holder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Object value

Constructor Detail

### CookieHolder

    public CookieHolder()

### CookieHolder

    public CookieHolder(Object initial)

Method Detail

### _read

    public void _read(InputStream is)

  Description copied from interface: `Streamable`
  Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `is` - the InputStream that represents the CDR data from the wire.

### _write

    public void _write(OutputStream os)

  Description copied from interface: `Streamable`
  Marshals to `ostream` the value in the `value` field of the Holder.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `os` - the CDR OutputStream

### _type

    public TypeCode _type()

  Description copied from interface: `Streamable`
  Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the `TypeCode` object for the value held in the holder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.